﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DataLayer;
using DataLayer.DataAccessLayer;
using System.Web;

namespace MyObjects
{
    public enum RolName
    {
        SuperAdmin = 1,
        Admin = 2,
        SuperUser = 3,
        User = 4
    }
    public enum LetterKind
    {
        Adi = 0,
        Taed = 1,
        Bargasht = 2,
        Erja = 3
    }
    public enum ActionKind
    {
        Sabt_Sadere = 1,
        Sabt_Varede = 2,
        Virayeshe_Moshakhasat = 3,
        Hazf = 4,
        Virayeshe_Matn = 5,
        Erja = 6,
        Chap = 7,
        Sabt_Name = 8,
        Sabt_FerGir = 9,
        Sabt_User = 10,
        Sabt_Page = 11,
        Action_Menu = 12,
        Action_Letter = 13
    }
    public enum Attribute
    {
        Varede = 1,
        Sadere = 2
    }
    public static class DataCLS
    {
        //------------------------------------------------------------------------------------------------------------
        public static bool checkconnection(DataBaseContext mycontext)
        {
            try
            {
                mycontext.Database.Connection.Open();
                mycontext.Database.Connection.Close();
            }
            catch (Exception)
            {
                return false;
            }
            return true;
        }
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
        //------------------------------------------------------------------------------------------------------------
    }
}
